Outbound
Set Activity State
Activates or deactivates a specified outbound
POST
/
v1
/
Outbound
/
{outboundId}
/
Active
Set Activity State
curl --request POST \
--url https://api.nlpearl.ai/v1/Outbound/{outboundId}/Active \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"isActive": true
}
'import requests
url = "https://api.nlpearl.ai/v1/Outbound/{outboundId}/Active"
payload = { "isActive": True }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({isActive: true})
};
fetch('https://api.nlpearl.ai/v1/Outbound/{outboundId}/Active', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
123{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": {}
}Authorizations
Specify the authorization token.
For more information, check out the Authorization Guide.
Path Parameters
The unique identifier of the outbound.
Retreive it in Get outbound [blocked]
Body
application/jsontext/jsonapplication/*+json
The request containing the activation state.
Defines the request structure for setting the active status of an entity.
A boolean value that specifies the new active status of the entity.
True activates the entity, while false deactivates it.
Response
The active state of the outbound.
Here is the activity status
1 - Running
2 - Paused
3 - Suspended
10 - TemporaryMaintenance
⌘I
Set Activity State

